Subject: Bug#22: Keyboard focus lost when connecting to Win2008r2 RDP-Server (proxied through NX) in fullscreen mode

From: Mike Gabriel <[email-masked]>
Date: Fri, 14 Sep 2012 15:04:06 +0200

Hi Alex,

On Mi 12 Sep 2012 11:02:18 CEST Oleksandr Shneyder wrote:

> Unfortunately I have not a TCE in daily use. Now I see, that this fix
> working only for desktop sessions, with nxproxy that have Window ID. In
> case of rootless sessions or direct RDP connections it not working. I
> wrote a patch, that should fix it:
>
> http://code.x2go.org/gitweb?p=x2goclient.git;a=commit;h=bace365a71c05d924288e2f0b8d0ff1af2245a19
>
> Please try it. And you can revert the changes you have made.

I am sorry, I haven't got to trying your patch on a TCE yet. Mirco is  
also testing, we talked on the phone this morning.

About my commit ('R' -> 'D' for X2Go-proxied fullscreen sessions)... I  
actually find it quite attractive seeing a windows RDP session launch  
and having the X2GO logo (x2goagent desktop splash). Do you see a  
technical reason for undoing my earlier commit? If not, let's leave it  
like that, the look and feel is really cool (Windows desktop appearing  
behind the X2Go logo)...

Mike

-- 

DAS-NETZWERKTEAM
mike gabriel, rothenstein 5, 24214 neudorf-bornstein
fon: +49 (1520) 1976 148

GnuPG Key ID 0x25771B31
mail: [email-masked], http://das-netzwerkteam.de

freeBusy:
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb